<?php
/**
 * Created by PhpStorm.
 * User: j.fischer
 * Date: 18.03.19
 * Time: 11:02
 */

namespace Gambio\StyleEdit\Core;

/**
 * Class Language
 * @package Gambio\StyleEdit\Core
 */
class Language implements \JsonSerializable
{
    /**
     * @var string
     */
    protected $code = 'en';
    
    protected $id = 0;
    
    
    /**
     * Language constructor.
     *
     * @param string $code
     * @param int    $id
     */
    public function __construct(string $code, int $id)
    {
        $this->code = strtolower($code);
        $this->id   = $id;
    }
    
    
    /**
     * Return the current language.
     *
     * @return string
     */
    public function code(): string
    {
        return $this->code;
    }
    
    
    /**
     * @return int
     */
    public function id(): int
    {
        return $this->id;
    }
    
    
    /**
     * Specify data which should be serialized to JSON
     * @link  https://php.net/manual/en/jsonserializable.jsonserialize.php
     * @return mixed data which can be serialized by <b>json_encode</b>,
     * which is a value of any type other than a resource.
     * @since 5.4.0
     */
    public function jsonSerialize()
    {
        return $this->code();
    }
}