<?php
/* --------------------------------------------------------------
   dependent.inc.php 2019-09-19
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2019 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

$check = $this->query('SELECT `configuration_value` FROM `configuration` WHERE `configuration_key` = \'MODULE_ORDER_TOTAL_INSTALLED\' AND `configuration_value` LIKE \'%ot_coupon.php%\'');
if (count($check) > 0) {
    $check = $this->query('SELECT * FROM `configuration` WHERE `configuration_key` = \'MODULE_ORDER_TOTAL_COUPON_SHOW_INFO\'');
    if (count($check) === 0) {
        $this->query("INSERT INTO `configuration` (`configuration_id`, `configuration_key`, `configuration_value`, `configuration_group_id`, `sort_order`, `set_function`, `date_added`) VALUES ('', 'MODULE_ORDER_TOTAL_COUPON_SHOW_INFO', 'false', '6', '9','gm_cfg_select_option(array(\'true\', \'false\'), ', now())");
    }
}

$check = $this->query('SELECT `configuration_value` FROM `configuration` WHERE `configuration_key` = \'MODULE_ORDER_TOTAL_INSTALLED\' AND `configuration_value` LIKE \'%ot_gv.php%\'');
if (count($check) > 0) {
    $check = $this->query('SELECT * FROM `configuration` WHERE `configuration_key` = \'MODULE_ORDER_TOTAL_GV_SHOW_INFO\'');
    if (count($check) === 0) {
        $this->query("INSERT INTO `configuration` (`configuration_id`, `configuration_key`, `configuration_value`, `configuration_group_id`, `sort_order`, `set_function`, `date_added`) VALUES ('', 'MODULE_ORDER_TOTAL_GV_SHOW_INFO', 'false', '6', '9','gm_cfg_select_option(array(\'true\', \'false\'), ', now())");
    }
}

$check = $this->query('SELECT `configuration_value` FROM `configuration` WHERE `configuration_key` = \'ACCOUNT_TYPE_DEFAULT\'');
if (count($check) === 0) {
    $this->query("INSERT INTO `configuration` (`configuration_key`,`configuration_value`,`configuration_group_id`,`sort_order`,`use_function`,`set_function`,`date_added`) VALUES ('ACCOUNT_TYPE_DEFAULT', 'account', 5,  6,  NULL,  'gm_cfg_select_option(array(''account'', ''guest''),', NOW())");
}

/**
 * ERROR PAGES DEFAULT CONFIGURATION
 */
$check = $this->query('SELECT * FROM `configuration_storage` WHERE `key` = "error_pages/userFriendlyErrorHandling"',
                      true);
if ($check->num_rows < 1) {
    $this->query('INSERT INTO `configuration_storage` (`key`, `value`) VALUES  ("error_pages/userFriendlyErrorHandling", "true");');
}

$check = $this->query('SELECT * FROM `configuration_storage` WHERE `key` = "error_pages/customPageNotFound"', true);
if ($check->num_rows < 1) {
    $this->query('INSERT INTO `configuration_storage` (`key`, `value`) VALUES  ("error_pages/customPageNotFound", "false");');
}

$check = $this->query('SELECT * FROM `configuration_storage` WHERE `key` = "error_pages/notFoundHtml"', true);
if ($check->num_rows < 1) {
    $this->query('INSERT INTO `configuration_storage` (`key`, `value`) VALUES  ("error_pages/notFoundHtml", "{
        \"DE\": \"<center><b>Die aufgerufene Seite konnte nicht gefunden werden.</b></center>\",
        \"EN\": \"<center><b>The requested page could not be found.</center>\"
    }");');
}

$check = $this->query('SELECT * FROM `configuration_storage` WHERE `key` = "error_pages/errorHtml"', true);
if ($check->num_rows < 1) {
    $this->query('INSERT INTO `configuration_storage` (`key`, `value`) VALUES  ("error_pages/errorHtml", "{
        \"DE\": \"<center><b>Leider ist ein unerwarteter Fehler aufgetreten.</b></center>\",
        \"EN\": \"<center><b>Unfortunately an unexpected error occurred.</center>\"
    }");');
}

 // looping throw every content zone of every theme
 // checking if the content zone json has a shopVersion attribute
 // if not the the json and its related html file will be deleted

$shopRoot             = dirname(__DIR__, 3);
$themesDirectory      = $shopRoot . DIRECTORY_SEPARATOR . 'themes';
$defaultLanguageCodes = ['de', 'en'];

if (is_dir($themesDirectory)) {
    
    foreach (new DirectoryIterator($themesDirectory) as $theme) {
        $themepath = $themesDirectory . DIRECTORY_SEPARATOR . $theme->getFilename() . DIRECTORY_SEPARATOR;
        $contentZonesDirPath     = $themepath. 'contentzones';
        $htmlSystemFolder = $themepath. 'html' . DIRECTORY_SEPARATOR . 'system';
        
        if (!$theme->isDot() && $theme->isDir() && is_dir($contentZonesDirPath)) {
            
            foreach (new DirectoryIterator($contentZonesDirPath) as $contentZoneFile) {
    
                if (!$contentZoneFile->isDot() && $contentZoneFile->isFile()
                    && $contentZoneFile->getExtension() === 'json') {
    
                    $jsonPath = $contentZonesDirPath . DIRECTORY_SEPARATOR . $contentZoneFile->getFilename();
                    $jsonStr  = file_get_contents($jsonPath);
                    $json     = json_decode($jsonStr, false);
                    
                    if (!isset($json->shopVersion)) {
                        @rename($jsonPath, $jsonPath.'.backup');
                        //  deleting the related html files
                        $contentZoneName = preg_replace('/\\.json$/', '', $contentZoneFile->getFilename());
                        
                        foreach ($defaultLanguageCodes as $languageCode) {
    
                            $contentZoneHtmlFile = $htmlSystemFolder . DIRECTORY_SEPARATOR . 'content_zone_'
                                                   . $contentZoneName . '_' . $languageCode . '.html';
                            if (is_file($contentZoneHtmlFile)) {
                                @unlink($contentZoneHtmlFile);
                            }
                        }
                    }
                }
            }
        }
    }
}